Bug 106877 - The game Rise of the Tomb Raider lead to GPU hang when I try in same place jump into the hole.
Summary: The game Rise of the Tomb Raider lead to GPU hang when I try in same place ju...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 77449
  Show dependency treegraph
 
Reported: 2018-06-10 14:44 UTC by mikhail.v.gavrilov
Modified: 2018-12-06 13:22 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Save game (39.56 KB, application/octet-stream)
2018-06-12 09:23 UTC, Alex Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mikhail.v.gavrilov 2018-06-10 14:44:00 UTC
Demonstration: https://youtu.be/jbesfySez3k

$ inxi -bM
System:    Host: localhost.localdomain Kernel: 4.18.0-0.rc0.git2.1.fc29.x86_64 x86_64 bits: 64
           Desktop: Gnome 3.29.2 Distro: Fedora release 29 (Rawhide)
Machine:   Device: desktop System: Gigabyte product: Z87M-D3H serial: N/A
           Mobo: Gigabyte model: Z87M-D3H serial: N/A UEFI: American Megatrends v: F11 date: 08/12/2014
Battery    hidpp__0: charge: N/A condition: NA/NA Wh
CPU:       Quad core Intel Core i7-4770 (-MT-MCP-) speed/max: 3754/3900 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Vega 10 XT [Radeon RX Vega 64]
           Display Server: wayland (X.org 12 ) drivers: modesetting,fbdev,vesa Resolution: 3840x2160@59.98hz
           OpenGL: renderer: Radeon RX Vega (VEGA10, DRM 3.25.0, 4.18.0-0.rc0.git2.1.fc29.x86_64, LLVM 6.0.1)
           version: 4.5 Mesa 18.1.1
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller driver: r8169
Drives:    HDD Total Size: 16241.0GB (23.1% used)
Info:      Processes: 432 Uptime: 38 min Memory: 15013.4/32037.0MB Client: Shell (bash) inxi: 2.3.56 

dmesg output:
[82950.961053] amdgpu 0000:07:00.0: [gfxhub] VMC page fault (src_id:0 ring:158 vmid:7 pasid:32784)
[82950.961070] amdgpu 0000:07:00.0:   at page 0x00001891990f0000 from 27
[82950.961075] amdgpu 0000:07:00.0: VM_L2_PROTECTION_FAULT_STATUS:0x0070113C
[82961.293312] [drm:amdgpu_job_timedout [amdgpu]] *ERROR* ring gfx timeout, last signaled seq=8478374, last emitted seq=8478376
[82961.293347] [drm] No hardware hang detected. Did some blocks stall?
Comment 1 Samuel Pitoiset 2018-06-11 09:12:55 UTC
AFAIK, RoTR only supports Vulkan.
Comment 2 Samuel Pitoiset 2018-06-11 09:28:43 UTC
Can you try to reproduce the issue with latest mesa trunk?
Comment 3 Bas Nieuwenhuizen 2018-06-11 19:39:21 UTC
Any indication to devs trying to get to the same spot for testing, what level this is?
Comment 4 Alex Smith 2018-06-12 09:23:20 UTC
Created attachment 140129 [details]
Save game
Comment 5 Alex Smith 2018-06-12 09:25:34 UTC
I can reproduce this hang on Vega 64 with Mesa commit e266b32059 and LLVM release_60 branch r333579.

I've attached a save file just before where it hangs. Drop it into "~/.local/share/feral-interactive/Rise of the Tomb Raider/SaveData/Steam Saves (<user ID>)/", and load the last autosave from the load game menu (should be in "Soviet Installation").
Comment 6 Samuel Pitoiset 2018-06-13 08:15:46 UTC
I can reproduce the hang as well. This seems to only affect Vega and LLVM 6 (latest LLVM trunk fixes the GPU hang on my side). I have no ideas what changed.
Comment 7 mikhail.v.gavrilov 2018-09-08 16:35:22 UTC
$ inxi -bM
System:    Host: localhost.localdomain Kernel: 4.19.0-0.rc2.git2.1.fc30.x86_64 x86_64 bits: 64 
           Desktop: Gnome 3.30.0 Distro: Fedora release 29 (Rawhide) 
Machine:   Type: Desktop Mobo: ASUSTeK model: ROG STRIX X470-I GAMING v: Rev 1.xx serial: <root required> 
           UEFI: American Megatrends v: 0901 date: 07/23/2018 
CPU:       8-Core: AMD Ryzen 7 2700X type: MT MCP speed: 2187 MHz min/max: 2200/3700 MHz 
Graphics:  Device-1: Advanced Micro Devices [AMD/ATI] Vega 10 XT [Radeon RX Vega 64] driver: amdgpu v: kernel 
           Display: wayland server: Fedora Project X.org 11.0 driver: amdgpu resolution: 3840x2160~60Hz 
           OpenGL: renderer: Radeon RX Vega (VEGA10 DRM 3.27.0 4.19.0-0.rc2.git2.1.fc30.x86_64 LLVM 7.0.0) 
           v: 4.5 Mesa 18.2.0-rc5 
Network:   Device-1: Intel I211 Gigabit Network driver: igb 
           Device-2: Realtek RTL8822BE 802.11a/b/g/n/ac WiFi adapter driver: r8822be 
Drives:    Local Storage: total: 11.36 TiB used: 4.63 TiB (40.8%) 
Info:      Processes: 432 Uptime: 37m Memory: 31.30 GiB used: 9.14 GiB (29.2%) Shell: bash inxi: 3.0.22
Comment 8 Samuel Pitoiset 2018-12-06 13:22:09 UTC
LLVM 6 is no longer supported with mesa master. This GPU hang has been fixed somewhere in LLVM 7 and it can't be reproduced now. Closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.